=== data/updaters/CMakeLists.txt ===
install(FILES konsole.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.9.0-global-options.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.9.0-colorscheme-bold-key.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
install(PROGRAMS konsole-2.10.0-remove-menuindex-from-profiles.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR})

install(FILES konsole_remove_background_mode.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})
