## konsole4 4.14.2

=== debian/changelog ===
konsole4 (4:4.14.2-4) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Remove konsole.desktop from the installed files. (Closes: 800373) Thanks
    to Ralf Jung.

  [ Pino Toscano ]
  * Remove Ubuntu stuff from control.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Remove unused stuff from rules: BINARY_VERSION_NO_EPOCH variable, and
    dh_auto_configure override.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2016 18:38:57 +0200

konsole4 (4:4.14.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Jul 2015 23:43:32 -0400

konsole4 (4:4.14.2-2) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Keep only the kpart needed by other (kde4) packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Rename the source package to konsole4 in order to let the KF5 version
    be named src:konsole and produce bin:konsole.
  * Do not create bin:konsole anymore from this package. Users will get
    it from the kf5-based src.
    - Remove the dh_gencontrol override for bin:konsole, as we no longer ship
      it.
    - Pass --destdir=debian/tmp to dh_auto_install in order to avoid changing
      the packaging too much.
  * Improve the package description to stress the fact that the kpart
    belongs to KDE 4.
  * Remove Eshat Cakar from Uploaders at his own request. Thanks Eshat
    for your work!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jul 2015 21:34:45 -0300

konsole (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:09 +0200

konsole (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:34 +0200

konsole (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 02:06:51 +0200

konsole (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:15:49 +0200

konsole (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:55 +0100

konsole (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:32:55 +0200

konsole (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:35 +0200

konsole (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop patch hurd.diff, obsolete in konsole >= 4.12.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:34 +0100

konsole (4:4.12.2-1) experimental; urgency=medium

  * Build the unit tests.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:36 +0100

konsole (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:19 +0100

konsole (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 18:18:17 +0200

konsole (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Fix build failure on Hurd; patch hurd.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2013 15:40:20 +0200

konsole (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:25:28 +0200

konsole (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:07:32 +0200

konsole (4:4.10.2-2) experimental; urgency=low

  * Fixup uploaders field

 -- Sune Vuorela <sune@debian.org>  Thu, 04 Apr 2013 07:13:22 +0000

konsole (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
    - Fixes homedir fallback. (Closes: #586030)

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Update patches:
    - drop one_profile_per_window.diff, problem solved upstream.
    - drop upstream_No-need-to-lookup-executable-PATH-when-absolute-path.patch,
      no longer needed.
    - refresh debian-T-addition.diff.
  * Update installed files.
  * Add a lintian override for no-symbols-control-file.

  [ Josep Febrer ]
  * Refresh patch debian-T-addition.diff.
  * Bump kdelibs5-dev and libkonq5-dev to 4:4.10.
  * Update installed files.
  * Pass -DKDE4_BUILD_TESTS=false to cmake in order to keep the tests disabled.

  [ Sune Vuorela ]
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:25:01 +0000

konsole (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Maximiliano Curia ]
  * Reduces vertical misalignment (Closes: #672554)
    - Add drawText-alignBottom.diff, this adds alignBottom flag to the
      bidirectional renderer.
    - Add avoid-lineSpacing.diff, this reverts the added linespacing for the
      unidirectional renderer.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Feb 2013 12:44:09 +0100

konsole (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * konsole-dbg now recommends kdelibs5-dbg.

  [ Pino Toscano ]
  * Backport upstream commit e48cee6cca742a5bdb3daf6fa0b7c76073217faa to avoid

