=== debian/control ===
Source: konsole4
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkonq5-dev (>= 4:4.11),
               libphonon-dev (>= 4:4.3.0),
               libxkbfile-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/konsole.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/konsole.git

Package: konsole4-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<= 4:15.04.3~)
Replaces: konsole (<= 4:15.04.3~)
Description: X terminal emulator - KPart 4 plugin
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the KDE 4 based konsole kpart and is part of the
 KDE base applications module.
