## konsole4 4.14.3

=== debian/changelog ===
konsole4 (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Add the colorschemes, keybindings and the default konsole profile to
    konsole4-kpart as the kpart needs them
  * Fix VCS URL to point to alioth and remove the now obsolete
    XSBC-Original-Maintainer

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 20 Jan 2015 20:17:09 +0100

konsole4 (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * Add partui.rc and sessionui.rc from the old konsole package to
    konsole4-kpart as the kpart needs them

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 19 Jan 2015 22:27:34 +0100

konsole4 (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Rename to konsole4 to save konsole4-kpart while real konsole becomes
    kf5
  * Drop konsole and debug package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 19:43:46 +0100

konsole (4:4.14.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Harald Sitter ]
  * Split kpart into its own package
    + With konsole5 on the horizon we need to enable the installation of
      the konsole4 kpart alongside the konsole5 package to ensure that
      4.x applications relying on the kpart still have access to it.
    + New package konsole4-kpart
    + konsole depends binary:Version of konsole4-kpart
    + konsole4-kpart contains libkonsolepart.so and libkonsoleprivate.so
      along with the relevant kpart desktop file.
      All other files remain in konsole package.
    + konsole4-kpart breaks and replaces old versions of konsole
    + Once the konsole frameworks 5 port gets released this source should then
      be renamed to konsole4 and loose the konsole package (i.e. only produce
      konsole4-kpart)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:53:49 -0700

konsole (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:26:14 +0200

konsole (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:06 +0200

konsole (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:00:57 +0200

konsole (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:27:45 +0200

konsole (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:21:14 +0200
